# Butter Swap Integration

- [Introduction](https://docs.butternetwork.io/butter-swap-integration/introduction.md)
- [Integration Guide](https://docs.butternetwork.io/butter-swap-integration/integration-guide.md)
- [Contract Interface](https://docs.butternetwork.io/butter-swap-integration/integration-guide/router-interface.md)
- [Fee](https://docs.butternetwork.io/butter-swap-integration/integration-guide/swap-fee.md)
- [Deployed Contracts v3](https://docs.butternetwork.io/butter-swap-integration/deployed-contracts-v3.0.md)
- [v2 (deprecated)](https://docs.butternetwork.io/butter-swap-integration/deployed-contracts-v3.0/deployed-contracts-v2.1.md)
- [API for Routing](https://docs.butternetwork.io/butter-swap-integration/butter-api-for-routing.md)
- [GET /route](https://docs.butternetwork.io/butter-swap-integration/butter-api-for-routing/get-route.md)
- [GET /swap](https://docs.butternetwork.io/butter-swap-integration/butter-api-for-routing/get-swap.md)
- [GET /routeAndSwap (deprecated)](https://docs.butternetwork.io/butter-swap-integration/butter-api-for-routing/get-routeandswap.md)
- [GET /supportedChainList (deprecated)](https://docs.butternetwork.io/butter-swap-integration/butter-api-for-routing/get-supportedchainlist.md)
- [GET /supportedChainInfo](https://docs.butternetwork.io/butter-swap-integration/butter-api-for-routing/get-supportedchaininfo.md)
- [GET /findToken](https://docs.butternetwork.io/butter-swap-integration/butter-api-for-routing/get-findtoken.md)
- [Error Code List](https://docs.butternetwork.io/butter-swap-integration/butter-api-for-routing/error-code-list.md)
- [API for Swap Data](https://docs.butternetwork.io/butter-swap-integration/butter-api-for-swap-data.md)
- [GET Swap History by Source Hash](https://docs.butternetwork.io/butter-swap-integration/butter-api-for-swap-data/get-swap-history-by-source-hash.md)
- [GET Swap History by Source Address](https://docs.butternetwork.io/butter-swap-integration/butter-api-for-swap-data/get-swap-history-by-source-address.md)
- [GET Swap Info by Order ID](https://docs.butternetwork.io/butter-swap-integration/butter-api-for-swap-data/get-swap-info-by-order-id.md)
- [GET Supported Chain Detail List](https://docs.butternetwork.io/butter-swap-integration/butter-api-for-swap-data/get-supported-chain-detail-list.md)
- [GET Supported Token Detail List](https://docs.butternetwork.io/butter-swap-integration/butter-api-for-swap-data/get-supported-token-detail-list.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.butternetwork.io/butter-swap-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
